API docs / Image models

FLUX Dev API

A 12 billion parameter rectified flow transformer capable of generating images from text descriptions

Model id
black-forest-labs/flux-dev
Provider
Flux AI
Output
Image
Price
From 9 credits per run, the same as on voor.ai. Options such as length or resolution can change it.

Request

POST https://voor.ai/v1/generations with "model": "black-forest-labs/flux-dev". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.

curl https://voor.ai/v1/generations \
  -H "Authorization: Bearer $VOOR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "black-forest-labs/flux-dev",
  "input": {
    "prompt": "A red fox standing in fresh snow at golden hour, soft light"
  },
  "callback_url": "https://example.com/webhooks/voor"
}'

# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
  -H "Authorization: Bearer $VOOR_API_KEY"

Input parameters

NameTypeDetails
promptrequiredstring

Prompt for generated image

reference_imagesarray of URLs

Input image for image to image mode. The aspect ratio of your output will match this image

Up to 1 files · Accepts image/*

aspect_ratiostring

Default: 1:1

One of: 1:1, 16:9, 21:9, 3:2, 2:3, 4:5, 5:4, 3:4, 4:3, 9:16, 9:21

output_countnumber

Number of outputs to generate

Default: 1

Min 1 · Max 4

seednumber

Random seed. Set for reproducible generation

guidancenumber

Guidance for generated image

Default: 3

Min 0 · Max 10

stepsnumber

Number of denoising steps. Recommended range is 28-50, and lower number of steps produce lower quality outputs, faster.

Default: 28

Min 1 · Max 50

output_formatstring

Default: webp

One of: webp, jpg, png

go_fastboolean

Run faster predictions with model optimized for speed (currently fp8 quantized); disable to run in original bf16. Note that outputs will not be deterministic when this is enabled, even if you set a seed.

Default: true

megapixelsstring

Default: 1

One of: 1, 0.25

output_qualitynumber

Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs

Default: 80

Min 0 · Max 100

prompt_strengthnumber

Prompt strength when using img2img. 1.0 corresponds to full destruction of information in image

Default: 0.8

Min 0 · Max 1